Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.context.event
Class OsgiBundleApplicationContextEventMulticasterAdapter

    java.lang.Object
      org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEventMulticasterAdapter

All Implemented Interfaces:
  OsgiBundleApplicationContextEventMulticaster

    public class OsgiBundleApplicationContextEventMulticasterAdapter

extends Object
implements OsgiBundleApplicationContextEventMulticaster

Adapter class between Spring `ApplicationEventMulticaster` and Spring-DM `OsgiBundleApplicationContextEventMulticaster`. Allows reusage (especially considering the contractual similarities between the two interfaces) of existing implementations for propagating Spring-DM events.

Author:
  Costin Leau

Constructor Summary
`OsgiBundleApplicationContextEventMulticasterAdapter(ApplicationEventMulticaster delegatedMulticaster)` Constructs a new `OsgiBundleApplicationContextEventMulticasterAdapter` instance.

Method Summary
`void` | `addApplicationListener(OsgiBundleApplicationContextListener osgiListener)` Add an OSGi listener to be notified of all events. The given listener is wrapped with an adapter class that delegates the equals/hashcode methods to the wrapped listener instance.
`void` | `multicastEvent(OsgiBundleApplicationContextEvent osgiEvent)` Multicast the given application event to appropriate listeners.
`void` | `removeAllListeners()` Remove all listeners registered with this multicaster.
`void` | `removeApplicationListener(OsgiBundleApplicationContextListener osgiListener)` Remove an OSGi listener from the notification list. The given listener is wrapped with an adapter class that delegates the equals/hashcode methods to the wrapped listener instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiBundleApplicationContextEventMulticasterAdapter

    public OsgiBundleApplicationContextEventMulticasterAdapter(ApplicationEventMulticaster delegatedMulticaster)

  Constructs a new `OsgiBundleApplicationContextEventMulticasterAdapter` instance.

  Parameters:
    `delegatedMulticaster` -

Method Detail

### addApplicationListener

    public void addApplicationListener(OsgiBundleApplicationContextListener osgiListener)

  Add an OSGi listener to be notified of all events. The given listener is wrapped with an adapter class that delegates the equals/hashcode methods to the wrapped listener instance. However, depending on the equals implementation, this might affect the object identity.

  Specified by:
    `addApplicationListener` in interface `OsgiBundleApplicationContextEventMulticaster`
  Parameters:
    `osgiListener` - the listener to add

### multicastEvent

    public void multicastEvent(OsgiBundleApplicationContextEvent osgiEvent)

  Description copied from interface: `OsgiBundleApplicationContextEventMulticaster`
  Multicast the given application event to appropriate listeners.

  Specified by:
    `multicastEvent` in interface `OsgiBundleApplicationContextEventMulticaster`
  Parameters:
    `osgiEvent` - the event to multicast

### removeAllListeners

    public void removeAllListeners()

  Description copied from interface: `OsgiBundleApplicationContextEventMulticaster`
  Remove all listeners registered with this multicaster. It will perform no action on event notification until more listeners are registered.

  Specified by:
    `removeAllListeners` in interface `OsgiBundleApplicationContextEventMulticaster`

### removeApplicationListener

    public void removeApplicationListener(OsgiBundleApplicationContextListener osgiListener)

  Remove an OSGi listener from the notification list. The given listener is wrapped with an adapter class that delegates the equals/hashcode methods to the wrapped listener instance. However, depending on the equals implementation, this might affect the object identity.

  Specified by:
    `removeApplicationListener` in interface `OsgiBundleApplicationContextEventMulticaster`
  Parameters:
    `osgiListener` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.